oracle.adf.view.rich.component.rich.input

## Enum RichInputSearch.Criteria

- java.lang.Object
- - java.lang.Enum<RichInputSearch.Criteria>
  - - oracle.adf.view.rich.component.rich.input.RichInputSearch.Criteria

- All Implemented Interfaces:
    Serializable, Comparable<RichInputSearch.Criteria>
  Enclosing class:
    RichInputSearch

      public static enum RichInputSearch.Criteria
      extends Enum<RichInputSearch.Criteria>

  Enumeration for criteria property

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE_STARTS_WITH` Suggestion filtering is based on simple startsWith matching per each attribute value.
    `AUTO` Currently, this defaults to contains
    `CONTAINS` Suggestion filtering is based on contains matching.
    `STARTS_WITH` Suggestion filtering is based on per-word startsWith matching i.e.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `displayName()` Retrieves the display name for the Criteria constant
    `static RichInputSearch.Criteria` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RichInputSearch.Criteria` | `valueOfDisplayName(String displayName)` Returns the Criteria constant associated with the specified displayName.
    `static RichInputSearch.Criteria[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTS_WITH

          public static final RichInputSearch.Criteria STARTS_WITH

      Suggestion filtering is based on per-word startsWith matching i.e. if there are multiple words in an attribute, starts-with match is attempted on each of these words individually.

    - #### CONTAINS

          public static final RichInputSearch.Criteria CONTAINS

      Suggestion filtering is based on contains matching. contains search scores the startsWith matches higher.

    - #### ATTRIBUTE_STARTS_WITH

          public static final RichInputSearch.Criteria ATTRIBUTE_STARTS_WITH

      Suggestion filtering is based on simple startsWith matching per each attribute value.

    - #### AUTO

          public static final RichInputSearch.Criteria AUTO

      Currently, this defaults to contains

  - ### Method Detail

    - #### values

          public static RichInputSearch.Criteria[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RichInputSearch.Criteria c : RichInputSearch.Criteria.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RichInputSearch.Criteria valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### displayName

          public String displayName()

      Retrieves the display name for the Criteria constant
      Returns:
        display name

    - #### valueOfDisplayName

          public static RichInputSearch.Criteria valueOfDisplayName(String displayName)

      Returns the Criteria constant associated with the specified displayName.
      Parameters:
        `displayName` - the displayName to look up
      Returns:
        Criteria constant associated with the specified displayName
      Throws:
        `IllegalArgumentException` - if the displayName does not correspond to a Criteria constant.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.